/**
  *  \file client/dialogs/msgreceiver.h
  *  \brief Message Receiver Selection
  *
  *  (c) 2001-2022 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_MSGRECEIVER_H
#define PCC_V2_CLIENT_DIALOGS_MSGRECEIVER_H

#include "cpluslib/string.h"

class WPlayerSetSelector;

enum TNewMessageResult {
    nmsgCancel,
    nmsgConfirm,
    nmsgRevise
};

TNewMessageResult chooseNewMessageReceiver(WPlayerSetSelector& sel, int numRevisable);

bool chooseMessageReceiver(WPlayerSetSelector& sel, string_t title, string_t help);

#endif
